/***************************************************************************
 *   Copyright (C) 2007 by ASL-ETH                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <QPushButton>
#include <QGridLayout>
#include <popup.h>
#include <QTextBrowser>

Popup::Popup()
{
    closeButton = new QPushButton(tr("Close"));
    connect(closeButton, SIGNAL(clicked()), this, SLOT(reject()));

    configText = new QTextEdit;
    configText->setFixedSize(400,280);

    QGridLayout *mainLayout = new QGridLayout;
    mainLayout->addWidget(configText);
    mainLayout->addWidget(closeButton);
    setLayout(mainLayout);
    setWindowTitle(tr("Instructions (readme.txt)"));

    /***** READ readme.txt *****/

    FILE *fp;
    char *p;
    char line[1024];
    fp = fopen("readme.txt", "r");
    while ((p = fgets(line, 1024, fp))!=NULL) {
        configText->append(tr("%1").arg(p));
    }
    fclose(fp);

}
